python3-pykde4_4.14.0-1_i386.deb


Advertisement

Description

python3-pykde4 - Python 3 bindings for the KDE Development Platform

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name python3-pykde4
Package version 4.14.0
Package release 1
Package architecture i386
Package type deb
Installed size 20.17 KB
Download size 2.59 MB
Official Mirror ftp.br.debian.org
This package contains PyKDE, the Python 3 bindings for the KDE
libraries, that allow you to write KDE programs using Python 3 instead of
C++. It contains at least the following modules under the
PyKDE namespace:
* dnssd
* kdecore
* kdeui
* khtml
* kio
* knewstuff
* kparts
* kterminal
* ktexteditor
* kutils
* nepomuk
* plasma
* solid
And a few KDE related technologies like:
* akonadi
* phonon
* soprano
This package provides modules for all supported Python 3 versions.

Alternatives

Package Version Architecture Repository
python3-pykde4_4.14.0-1_amd64.deb 4.14.0 amd64 Debian Main
python3-pykde4 - - -

Requires

Name Value
kde-runtime >> 4:4.10
kdepim-runtime >> 4:4.10
libakonadi-kde4 >= 4:4.14.0
libakonadi-kmime4 >= 4:4.13
libc6 >= 2.4
libkcmutils4 >= 4:4.11
libkdecore5 >= 4:4.11
libkdeui5 >= 4:4.11
libkdnssd4 >= 4:4.11
libkemoticons4 >= 4:4.11
libkfile4 >= 4:4.11
libkhtml5 >= 4:4.11
libkidletime4 >= 4:4.11
libkio5 >= 4:4.11
libknewstuff2-4 >= 4:4.11
libknewstuff3-4 >= 4:4.11
libkparts4 >= 4:4.11
libkprintutils4 >= 4:4.11
libkpty4 >= 4:4.11
libktexteditor4 >= 4:4.11
libnepomuk4 >= 4:4.11
libnepomukquery4a >= 4:4.11
libphonon4 >= 4:4.6.0really4.5.0
libplasma3 >= 4:4.11
libpython3.4 >= 3.4~b1
libqt4-network >= 4:4.7.1
libqt4-svg >= 4:4.7.1
libqt4-xml >= 4:4.7.1
libqtcore4 >= 4:4.7.1
libqtgui4 >= 4:4.8.0
libsolid4 >= 4:4.11
libsoprano4 >= 2.8.0
libstdc++6 >= 4.1.1
phonon -
python3 << 3.5
python3 >= 3.4~
python3-pyqt4 -
python3-sip -
sip-py3api-11.1 -

Provides

Name Value
python3.4-pykde4 -

Download

Type URL
Binary Package python3-pykde4_4.14.0-1_i386.deb
Source Package pykde4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-pykde4 deb package:
    # sudo apt-get install python3-pykde4

Files

Path
/usr/lib/kde4/kpythonpluginfactory.cpython-34m.so
/usr/lib/python3/dist-packages/PyKDE4/__init__.py
/usr/lib/python3/dist-packages/PyKDE4/akonadi.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/dnssd.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/kdecore.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/kdeui.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/khtml.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/kio.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/knewstuff.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/kparts.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/kterminal.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/ktexteditor.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/kutils.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/nepomuk.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/phonon.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/plasma.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/pykdeconfig.py
/usr/lib/python3/dist-packages/PyKDE4/solid.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyKDE4/soprano.cpython-34m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/PyQt4/uic/pykdeuic4.py
/usr/lib/python3/dist-packages/PyQt4/uic/widget-plugins/kde4.py
/usr/share/doc/python3-pykde4/README
/usr/share/doc/python3-pykde4/changelog.Debian.gz
/usr/share/doc/python3-pykde4/copyright
/usr/share/lintian/overrides/python3-pykde4

Changelog

2014-08-24 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.14.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
2014-07-31 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.13.3-1) unstable; urgency=medium
[ Dmitry Shachnev ]
* Add a patch from Fedora (no_gl_defines.diff) to fix building against
python-qt4 4.11.
[ Maximiliano Curia ]
* New upstream release.
* Remove upstream applied patch: no_gl_defines.diff
2014-05-26 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.13.1-1) experimental; urgency=medium
* New upstream release.
* Update build-dependencies.
2014-04-28 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.12.2-2) unstable; urgency=medium
* Release to unstable
2014-02-10 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.12.2-1) experimental; urgency=medium
* New upstream release.
* Bump kde-sc-dev-latest build dependency.
2014-01-28 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.11.5-1) unstable; urgency=low
* New upstream release.
* Bump Standards-Version to 3.9.5, no changes needed.
2013-11-09 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.11.3-1) unstable; urgency=low
* New upstream release.
* Update build dependencies.
2013-10-09 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.11.2-1) experimental; urgency=low
* New upstream release.
* Refresh patches.
2013-07-12 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.10.5-1) unstable; urgency=low
* New upstream release.
* Add lintian override for python3-pykde4.
* Add unused subst variables.
2013-06-14 - Maximiliano Curia <maxy@debian.org>
pykde4 (4:4.10.4-1) experimental; urgency=low
* New upstream release.
[ José Manuel Santamaría Lema ]
* Bump kde-sc-dev-latest build dependency to 4:4.10.1.
* Bump build dependencies on other KDE SC components to 4:4.10.
* Add build depends on:
- nepomuk-core-dev
- pkg-config
* Update patches:
- update python_modules_dont_link_against_libpython.diff.
- update add_qt_kde_definitions.diff.
- update make_pykde4_respect_sip_flags.diff.
- update optional_install_sip_files.diff.
- refresh other patches to make them apply without any offset.
* Update installed files and debian/not-installed.
* Add watch file.
* Add lintian overrides for hardening-no-fortify-functions.
[ Maximiliano Curia ]
* Add myself to uploaders.
* Revert most version dependencies changes reshuffling build-deps.
* Bump kdepimlibs-dev build-dep to 4:4.10.4.
* Refresh patches.
* Update python-kde4-dev install file.
* Reverting build-dep versions changes made for reshuffle.

See Also

Package Description
python3-pykka_1.2.0-2_all.deb Actor model library for Python (Python 3)
python3-pylast_1.0.0-1_all.deb Python 3 interface to Last.fm and other compatible services
python3-pyld_0.6.2-1_all.deb implementation of the JSON-LD API
python3-pylibacl_0.5.2-1_i386.deb module for manipulating POSIX.1e ACLs (Python3 version)
python3-pymemcache_1.2.4-2_all.deb comprehensive, fast, pure Python memcached client - Python 3.x
python3-pymongo-ext_2.7.2-1_i386.deb C-coded extension to the python3-pymongo package
python3-pymongo_2.7.2-1_i386.deb Python3 interface to the MongoDB document-oriented database
python3-pyopencl_2014.1-3_i386.deb Python 3 module to access OpenCL parallel computation API
python3-pyparsing_2.0.3+dfsg1-1_all.deb Python parsing module, Python3 package
python3-pypdf2_1.23+git20141008-1+deb8u1_all.deb Pure-Python library built as a PDF toolkit (Python 3)
python3-pyproj_1.8.9-1.1+b2_i386.deb Python 3 interface to PROJ.4 library
python3-pyqt4.phonon_4.11.2+dfsg-1_i386.deb Python3 bindings for Phonon
python3-pyqt4.qsci_2.8.4+dfsg-1_i386.deb Python 3 bindings for QScintilla 2 with Qt 4
python3-pyqt4.qtopengl_4.11.2+dfsg-1_i386.deb Python 3 bindings for Qt4's OpenGL module
python3-pyqt4.qtsql_4.11.2+dfsg-1_i386.deb Python3 bindings for PyQt4's SQL module
Advertisement
Advertisement